Skip to content

Update Calendar System

PUT
/api/creative/timelines/calendar-systems/{calendar_id}

Update a calendar system.

calendar_id
required
Calendar Id
string
CalendarSystemUpdateRequest

PUT /timelines/calendar-systems/{id} body.

object
name
Any of:
string
description
Any of:
string
eras
Any of:
Array<object>
CalendarEra

Single era definition within a calendar system.

object
name
required
Name

Era name (e.g. ‘First Age’)

string
abbreviation
required
Abbreviation

Short form (e.g. ‘FA’)

string
startValue
Startvalue

Sort key where this era begins

integer
0
endValue
Any of:
integer
yearSpan
Any of:
integer
isCurrent
Iscurrent

Whether this is the active/ongoing era

boolean
months
Any of:
Array<object>
CalendarMonth

Single month within a calendar system.

object
name
required
Name

Month name

string
days
required
Days

Number of days in this month

integer
> 0
daysPerWeek
Any of:
integer
dayNames
Any of:
Array<string>
epochLabel
Any of:
string
dateFormatTemplate
Any of:
string

Successful Response

CalendarSystemResponse

Single calendar system response.

object
status
required
Status

Operation status

string
data
required
CalendarSystem

Calendar system

object
id
Any of:
string
projectId
required
Projectid

Project this calendar belongs to

string
name
required
Name

Calendar name

string
description
Description

Calendar description

string
""
eras
Eras

Era definitions

Array<object>
CalendarEra

Single era definition within a calendar system.

object
name
required
Name

Era name (e.g. ‘First Age’)

string
abbreviation
required
Abbreviation

Short form (e.g. ‘FA’)

string
startValue
Startvalue

Sort key where this era begins

integer
0
endValue
Any of:
integer
yearSpan
Any of:
integer
isCurrent
Iscurrent

Whether this is the active/ongoing era

boolean
months
Months

Month definitions

Array<object>
CalendarMonth

Single month within a calendar system.

object
name
required
Name

Month name

string
days
required
Days

Number of days in this month

integer
> 0
daysPerWeek
Daysperweek

Days per week

integer
default: 7 > 0
dayNames
Daynames

Day names in order

Array<string>
epochLabel
Epochlabel

Label for year numbering

string
default: Year
dateFormatTemplate
Dateformattemplate

Template for formatting dates

string
default: {era} {year}, {month} {day}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object